Validate action
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/validate-action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "38453168-0991-4d24-9b49-4cf641f8a7bf",
"delegationId": "f1a8ad1b-b597-44c2-a756-f42f3bc35b63",
"decisionId": "64d365be-f8d6-4d1a-9192-46737dc112d2"
}
'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/validate-action"
payload = {
"tenantId": "38453168-0991-4d24-9b49-4cf641f8a7bf",
"delegationId": "f1a8ad1b-b597-44c2-a756-f42f3bc35b63",
"decisionId": "64d365be-f8d6-4d1a-9192-46737dc112d2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '38453168-0991-4d24-9b49-4cf641f8a7bf',
delegationId: 'f1a8ad1b-b597-44c2-a756-f42f3bc35b63',
decisionId: '64d365be-f8d6-4d1a-9192-46737dc112d2'
})
};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/validate-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.328Z",
"message": "Success",
"data": {
"actionName": "Delegation Request",
"isExist": true,
"userId": "8d61a283-4ae9-4f21-b52d-3f557709d89b"
}
}Actions
Validate action
PATCH
/
v1
/
actions
/
validate-action
Validate action
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Action validated successfully
Was this page helpful?
āI